%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/hashicorp/go-immutable-radix
Version:                1.3.1

%gometa

%global common_description %{expand:
Provides the iradix package that implements an immutable radix tree. The package
only provides a single Tree implementation, optimized for sparse nodes.

As a radix tree, it provides the following:

 - O(k) operations. In many cases, this can be faster than a hash table since
   the hash function is an O(k) operation, and hash tables have very poor cache
   locality.
 - Minimum / Maximum value lookups
 - Ordered iteration

A tree supports using a transaction to batch multiple updates (insert, delete)
in a more efficient manner than performing each operation one at a time.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        An immutable radix tree implementation in Golang

License:        MPL-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
